com.explodingpixels.widgets.plaf

## Class SkinnableScrollBarUI.CustomArrowButtonListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.plaf.basic.BasicScrollBarUI.ArrowButtonListener
    - - com.explodingpixels.widgets.plaf.SkinnableScrollBarUI.CustomArrowButtonListener

All Implemented Interfaces:
  MouseListener, MouseMotionListener, MouseWheelListener, EventListener

Enclosing class:
  SkinnableScrollBarUI

    protected class SkinnableScrollBarUI.CustomArrowButtonListener
    extends BasicScrollBarUI.ArrowButtonListener

### Method Summary

Methods
`void` `mousePressed(MouseEvent e)`
`void` `mouseReleased(MouseEvent e)`

### Methods inherited from class java.awt.event.MouseAdapter

`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseWheelMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### mousePressed

    public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`
Overrides:
  `mousePressed` in class `BasicScrollBarUI.ArrowButtonListener`

#### mouseReleased

    public void mouseReleased(MouseEvent e)

Specified by:
  `mouseReleased` in interface `MouseListener`
Overrides:
  `mouseReleased` in class `BasicScrollBarUI.ArrowButtonListener`